Bug 139006 - port update: deskutils/p5-ZConf-Runner update from 0.0.0 to 1.0.0
Summary: port update: deskutils/p5-ZConf-Runner update from 0.0.0 to 1.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-21 06:50 UTC by Zane C. Bowers-Hadley
Modified: 2009-09-21 12:30 UTC (History)
0 users

See Also:


Attachments
p5-ZConf-Runner_distinfo.orig (544 bytes, text/plain)
2009-09-21 06:50 UTC, Zane C. Bowers-Hadley
no flags Details
p5-ZConf-Runner_pkg-plist.orig (461 bytes, text/plain)
2009-09-21 06:50 UTC, Zane C. Bowers-Hadley
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2009-09-21 06:50:01 UTC

1.0.0   2009-05-18/13:00
		-Now has ZConf::GUI support.

0.1.0	2009-02-20/18:30
		-Add 'readSet', 'getSet', and 'listSets'.

0.0.1	2009-01-23/18:30
		-Add 'Curses::UI' as a requirement in 'Makefile.PL' to appease CPAN's
			testing.

Fix: --- Makefile.orig	2009-09-21 00:07:31.000000000 -0500
+++ Makefile	2009-09-21 00:15:08.000000000 -0500
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	ZConf-Runner
-PORTVERSION=	0.0.0
+PORTVERSION=	1.0.0
 CATEGORIES=	deskutils perl5
 MASTER_SITES=	CPAN
 MASTER_SITE_SUBDIR=	../../authors/id/V/VV/VVELOX
@@ -16,10 +16,14 @@
 COMMENT=	Run a file using a choosen methode, desktop entry or mimetype
 
 RUN_DEPENDS=	${SITE_PERL}/ZConf.pm:${PORTSDIR}/net/p5-ZConf \
-		${SITE_PERL}/File/MimeInfo/Applications.pm:${PORTSDIR}/devel/p5-File-MimeInfo
+		${SITE_PERL}/File/MimeInfo/Applications.pm:${PORTSDIR}/devel/p5-File-MimeInfo \
+		${SITE_PERL}/Curses/UI.pm:${PORTSDIR}/devel/p5-Curses-UI \
+		${SITE_PERL}/ZConf/GUI.pm:${PORTSDIR}/devel/p5-ZConf-GUI
 
 PERL_CONFIGURE=	yes
 
-MAN3=		ZConf::Runner.3
+MAN3=		ZConf::Runner.3 \
+		ZConf::Runner::GUI.3 \
+		ZConf::Runner::GUI::Curses.3
 
 .include <bsd.port.mk>
--- p5-ZConf-Runner_Makefile.diff ends here ---

How-To-Repeat: 

1: apply patches
2: enjoy
Comment 1 dfilter service freebsd_committer 2009-09-21 12:29:44 UTC
miwi        2009-09-21 11:29:36 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/p5-ZConf-Runner Makefile distinfo pkg-plist 
  Log:
  - Update to 1.0.0
  
  PR:             139006
  Submitted by:   "Zane C.B." <vvelox@vvelox.net> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.2       +7 -3      ports/deskutils/p5-ZConf-Runner/Makefile
  1.2       +3 -3      ports/deskutils/p5-ZConf-Runner/distinfo
  1.2       +3 -0      ports/deskutils/p5-ZConf-Runner/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Martin Wilke freebsd_committer 2009-09-21 12:29:51 UTC
State Changed
From-To: open->closed

Committed. Thanks!